<?php

/*
* By wapoleg, ICQ: 3628900
*/

class core
{
    public static function gdeYa($var)
    {
        if (!empty($var)) {
            preg_match('#<div.*class="location_bar.*>(.*)</div>#siU', $var, $pre);
            preg_match_all('#href=".*dir=([\d]+)("|&|;).*>(.*)</a>#siU', strip_tags($pre[1], '<a>'), $r);
            if (!empty($r[1][0])) {
                foreach ($r[1] as $i => $v) {
                    $out[] = array('link' => $r[1][$i], 'name' => $r[3][$i]);
                }
                return $out;
            }
        }
    }

    public static function title($var)
    {
        if (preg_match('#<title>(.*)</title>#siU', $var, $title))
            return str_replace('/', ' / ', $title[1]);
        else
            return 'Бесплатные загрузки';
    }

    public static function auth()
    {
        $cookies = ROOT . 'temp/cookies.txt';
        if (!file_exists($cookies) || filesize($cookies) < 200 || (time() - filemtime($cookies) > 1000)) {
            @unlink($cookies);
            core::getPage(AUTOLOGIN, 'http://spaces.ru');
        }
    }

    public static function msg($msg, $text)
    {
        switch ($msg) {
            case 'error':
                return '<div class="danger">' . $text . '</div>';
                break;
            case 'notice':
                return '<div class="">' . $text . '</div>';
                break;
            default:
                return '<div class="notice">' . $text . '</div>';
        }
    }

    public static function uri($var)
    {
        $var = preg_replace('/([^A-zА-я0-9_-]+)/u', '', str_replace(' ', '_', mb_strtolower($var, 'utf-8')));
        $converter = array(
            'а' => 'a', 'б' => 'b', 'в' => 'v',
            'г' => 'g', 'д' => 'd', 'е' => 'e',
            'ё' => 'e', 'ж' => 'zh', 'з' => 'z',
            'и' => 'i', 'й' => 'y', 'к' => 'k',
            'л' => 'l', 'м' => 'm', 'н' => 'n',
            'о' => 'o', 'п' => 'p', 'р' => 'r',
            'с' => 's', 'т' => 't', 'у' => 'u',
            'ф' => 'f', 'х' => 'h', 'ц' => 'c',
            'ч' => 'ch', 'ш' => 'sh', 'щ' => 'sch',
            'ь' => '\'', 'ы' => 'y', 'ъ' => '\'',
            'э' => 'e', 'ю' => 'yu', 'я' => 'ya',
            'А' => 'A', 'Б' => 'B', 'В' => 'V',
            'Г' => 'G', 'Д' => 'D', 'Е' => 'E',
            'Ё' => 'E', 'Ж' => 'Zh', 'З' => 'Z',
            'И' => 'I', 'Й' => 'Y', 'К' => 'K',
            'Л' => 'L', 'М' => 'M', 'Н' => 'N',
            'О' => 'O', 'П' => 'P', 'Р' => 'R',
            'С' => 'S', 'Т' => 'T', 'У' => 'U',
            'Ф' => 'F', 'Х' => 'H', 'Ц' => 'C',
            'Ч' => 'Ch', 'Ш' => 'Sh', 'Щ' => 'Sch',
            'Ь' => '\'', 'Ы' => 'Y', 'Ъ' => '\'',
            'Э' => 'E', 'Ю' => 'Yu', 'Я' => 'Ya',
        );
        return urlencode(strtr($var, $converter));
    }

    public static function screenCopy($img)
    {
        if (!is_dir(IDIR)) mkdir(IDIR, 0777);
        chmod(IDIR, 0777);
        $newfile = IDIR . md5($img) . '.jpg';
        $displayfile = str_replace(ROOT, PATH, $newfile);
        if (ICACHE_DEBUG == 1):
            if (file_exists($newfile)):
                return $displayfile;
            else:
                if (copy($img, $newfile))
                    return $displayfile;
                else
                    return $img;
            endif;
        else:
            $ztmp = CDIR . md5($img) . '.tmp';
            if (file_exists($ztmp)) {
                return (file_get_contents($ztmp) == 0) ? PATH . 'img/noScreen.jpg' : $img;
            } else {
                $tmp = md5(file_get_contents($img));

                if ($tmp != '9cddd333fc925ed195b581f60b910453') {
                    file_put_contents($ztmp, 1);
                    return $img;
                } else {
                    file_put_contents($ztmp, 0);
                    return PATH . 'img/noScreen.jpg';
                }
            }
        endif;
    }

    public static function cacheCheck($key, $arr, $check = 0)
    {
        if (!is_dir(CDIR)) mkdir(CDIR, 0777);
        chmod(CDIR, 0777);
        $file = CDIR . md5($key) . '.html';
        if (!empty($check)):
            if (CACHE_DEBUG == 1):
                return core::cacheGet($file, $arr);
            else:
                return $arr;
            endif;
        elseif (empty($check) and file_exists($file)):
            if (CACHE_DEBUG == 1):
                return core::cacheGet($file, $arr);
            else:
                return $arr;
            endif;
        else:
            return core::msg('error', 'Не удалось получить данные');
        endif;
    }

    public static function cacheGet($file, $arr)
    {
        if (file_exists($file) && CACHE_TIME != 0 && (time() - filemtime($file)) > CACHE_TIME) {
            chmod($file, 0666);
            @unlink($file);
        }
        if (!file_exists($file)) {
            $fo = fopen($file, 'w');
            fwrite($fo, serialize($arr));
            fclose($fo);
        }
        return unserialize(file_get_contents($file));
    }

    public static function getPage($url, $refer, $ua = 'web', $method = 'get', $postFields = array(), $includeHeaders = true, $multipart = false)
    {
        if ($ua == 'web')
            $ua = 'User-Agent:Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.137 Safari/537.36';
        else
            $ua = 'Android';
//$ua = 'Android-x86-1.6-r2 — Mozilla/5.0 (Linux; U; Android 1.6; en-us; eeepc Build/Donut) AppleWebKit/528.5+ (KHTML, like Gecko) Version/3.1.2 Mobile Safari/525.20.1';
        $headers = array(
            'Accept:text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8',
            'Accept-Language:ru,en-US;q=0.8,en;q=0.6,uk;q=0.4',
            'Referer:' . $refer,
            $ua
        );
        if (!$multipart) $postFields = http_build_query($postFields);
        return core::makeRequest($url, $method, $postFields, $headers, true, $includeHeaders);
    }

    public static function makeRequest($url, $method, $postData = array(), $headers = array(), $cookies = false, $getHeaders = false, $debug = false)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        if ($method == 'post') {
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
        }
        if ($headers) {
            curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        }
        if ($cookies) {
            curl_setopt($ch, CURLOPT_COOKIEFILE, ROOT . 'temp/cookies.txt');
            curl_setopt($ch, CURLOPT_COOKIEJAR, ROOT . 'temp/cookies.txt');
        }
        if ($getHeaders) {
            curl_setopt($ch, CURLOPT_HEADER, 1);
        }
        $result = curl_exec($ch);
        $error = curl_error($ch);
        curl_close($ch);
        if (preg_match('#(Не так быстро|The document has moved)#siU', $result)) {
            core::location(URI);
        }
        if (preg_match('#Вы зашли из необычного места#siU', $result)) {
            preg_match('#<form.*action="(.*)"#siU', $result, $link);
            $auth = !empty($link[1]) ? $link[1] : $url;
            core::getPage($auth, 'http://spaces.ru', 'wap', 'post', array('pn_nums' => NOMER, 'submit' => 'Продолжить'));
        }
        return $result;
    }

    public static function clearCookies()
    {
        file_put_contents(ROOT . 'temp/cookies.txt', '');
    }

    public static function location($url)
    {
        header('location: ' . $url) . exit;
    }
}