<style>
    html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, dl, dt, dd, ol, nav ul, nav, hr, table, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
        margin: 0;
        padding: 0;
        border: 0;
        font-size: 100%;
        font: inherit;
        vertical-align: middle;
    }

    article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
        display: block;
    }

    ol, ul {
        list-style: none;
    }

    blockquote, q {
        quotes: none;
    }

    blockquote:before, blockquote:after, q:before, q:after {
        content: '';
        content: none;
    }

    table {
        border-collapse: collapse;
        border-spacing: 0;
    }

    /* start editing from here */
    a {
        text-decoration: none;
    }

    .txt-rt {
        text-align: right;
    }

    /* text align right */
    .txt-lt {
        text-align: left;
    }

    /* text align left */
    .txt-center {
        text-align: center;
    }

    /* text align center */
    .float-rt {
        float: right;
    }

    /* float right */
    .float-lt {
        float: left;
    }

    /* float left */
    .clear {
        clear: both;
    }

    /* clear float */
    .pos-relative {
        position: relative;
    }

    /* Position Relative */
    .pos-absolute {
        position: absolute;
    }

    /* Position Absolute */
    .vertical-base {
        vertical-align: baseline;
    }

    /* vertical align baseline */
    .vertical-top {
        vertical-align: top;
    }

    /* vertical align top */
    .underline {
        padding-bottom: 5px;
        border-bottom: 1px solid #ddd;
        margin: 0 0 20px 0;
    }

    /* Add 5px bottom padding and a underline */
    nav.vertical ul li {
        display: block;
    }

    /* vertical menu */
    nav.horizontal ul li {
        display: inline-block;
    }

    /* horizontal menu */
    img {
        max-width: 96%;
    }

    /*img[width],img[height]{width:auto;height:auto;} wordpress hack to reset the attributes (while making responsive) */
    body {
        font-family: Arial, Helvetica, sans-serif;
    }

    a {
        color: #000;
        text-decoration: none;
        padding: 2px;
    }

    a:hover {
        text-decoration: none;
    }

    b {
        font-weight: bold;
    }

    .center {
        text-align: center;
    }

    td {
        max-width: 175px;
    }

    hr {
        border: 0;
        height: 5px;
    }

    .player {
        text-align: center;
        margin: 0 auto;
        max-width: 320px !important;
        max-height: 320px !important;
    }

    .newr {
        color: #800000;
        float: right;
        vertical-align: middle;
        font-size: 10pt;
        margin-left: 2px;
    }

    .display-none {
        display: none;
    }

    .c_date {
        color: #bbb;
    }

    input[type=checkbox] {
        background: #fff;
        border: 1px solid #e2e2e2;
        color: #222;
        margin: 1px;
        padding: 7px 10px;
    }

    input[type=text], input[type=file], input[type=password], textarea, select {
        background: #fff;
        border: 1px solid #e2e2e2;
        color: #222;
        margin: 0;
        padding: 10px 10px;
    }

    input[type=text]:Focus, input[type=password]:Focus, textarea:Focus, select:focus {
        background: #fff;
        color: #000;
        border: 1px solid #cacaca;
        outline: none;
    }

    textarea {
        height: 50px;
    }

    select {
        padding: 7px 6px;
    }

    input[type=submit], input[type=button], button {
        background: #E19B60;
        cursor: pointer;
        color: #fff;
        border: 1px solid #E19B60;
        display: inline-block;
        text-decoration: none;
        margin: 0;
        padding: 10px 10px;
    }

    input[type=submit]:hover, input[type=button]:hover, button:hover {
        background: #E19B60;
        color: #fff;
        border: 1px solid #E19B60;
    }

    .button_blue.active {
        background: #95B9B0;
        color: #5E7B74;
        margin-right: 2px;
        margin-left: 2px;
        margin-bottom: -4px;
        display: inline-block;
        border-bottom: 2px solid #5e7b74;
        padding: 8px 8px 6px 8px;
    }

    .button_blue {
        cursor: pointer;
        background: #B8D4CD;
        color: #5E7B74;
        display: inline-block;
        text-decoration: none;
        margin-top: 2px;
        padding: 8px;
    }

    .button_blue:hover {
        background: #95B9B0;
        color: #5E7B74;
    }

    .button_dwl.active {
        background: #9ED2E0;
        color: #326878;
        margin-right: 2px;
        margin-left: 2px;
        margin-bottom: -4px;
        display: inline-block;
        border-bottom: 2px solid #5e7b74;
        padding: 8px 8px 6px 8px;
    }

    .button_dwl {
        cursor: pointer;
        background: #9ED2E0;
        color: #326878;
        display: inline-block;
        text-decoration: none;
        margin-top: 2px;
        padding: 8px;
    }

    .button_dwl:hover {
        background: #9ED2E0;
        color: #326878;
    }

    .players {
        max-width: 600px;
        text-align: center;
        margin: 0 auto;
    }

    .players img {
        max-width: 100%;
    }

    .wrapper {
    }

    .wrapper2 {
    }

    .redr {
        color: #ba7474;
        float: right;
        font-size: 9pt;
        padding: 5px;
    }

    .red {
        color: #800000;
        font-size: 11pt;
    }

    .success, .msg {
        background: #b7e59b;
        color: #339213;
        text-align: center;
        padding: 5px;
    }

    .error, .err {
        background: #DEC6BB;
        color: #BD7570;
        text-align: center;
        margin-bottom: 5px;
        padding: 10px;
    }

    .header {
        vertical-align: top;
        background: #00B98D;
        padding: 7px;
        border: none;
    }

    .header a.login {
        position: relative;
        color: #fff;
        display: inline-block;
        padding: 14px;
    }

    .header a.login:hover {
        background: #007156;
    }

    span.rm {
        float: right;
        margin-top: -10px;
        padding-left: 5px;
    }

    .title a {
        color: #fff;
        text-decoration: none;
    }

    .top_menu, .title {
        vertical-align: middle;
        padding: 10px;
        text-align: center;
        color: #fff;
        background: #008062;
        text-shadow: 0 1px 0 #00503D;
        word-wrap: break-word;
    }

    .post {
        vertical-align: top;
        padding: 10px;
        color: #fff;
        background: #314856;
    }

    .post a {
        color: #fff;
    }

    .fon, .mess, .main {
        background: #fff;
        word-wrap: break-word;
        display: block;
        text-decoration: none;
        color: #222;
        border: 1px solid #f0f0f0;
        margin: 3px 0 3px;
        padding: 8px;
    }

    .post_head {
        background: #fafafa;
        vertical-align: middle;
        display: block;
        text-decoration: none;
        color: #222;
        padding: 10px;
    }

    .post_head a {
        text-decoration: none;
    }

    .post_head a:hover {
        text-decoration: underline;
        color: #222;
    }

    a.link {
        background: #fff;
        word-wrap: break-word;
        display: block;
        text-decoration: none;
        color: #314856;
        vertical-align: middle;
        padding: 11px;
        border-bottom: 1px solid #ebebeb;
    }

    a.links {
        background: #fff;
        word-wrap: break-word;
        display: block;
        text-decoration: none;
        color: #314856;
        vertical-align: middle;
        padding: 11px;
        border-top: 1px solid #ebebeb;
        border-bottom: 1px solid #ebebeb;
    }

    a.links:hover {
        background: #f5f5f5;
        color: #314856;
    }

    a.link:hover {
        background: #f5f5f5;
        color: #314856;
    }

    .count {
        float: right;
        font-size: 9pt;
        background: #eee;
        color: #565656;
        text-shadow: 1px 1px 2px #fff;
        padding: 3px 5px 3px 5px;
    }

    .pages {
        text-align: center;
        display: block;
        margin: 8px 0;
    }

    .pages a {
        background: #F5F5F5;
        display: inline-block;
        text-decoration: none;
        color: #314856;
        padding: 10px;
    }

    .pages a:hover {
        background: #F0F0F0;
        color: #314856;
    }

    .pages span {
        background: #E7C65B;
        display: inline-block;
        color: #fff;
        font-weight: 700;
        padding: 10px;
    }

    .footer {
        vertical-align: middle;
        background: #00B98D;
        padding: 0;
    }

    .footer a {
        color: #fff;
        font-weight: 400;
        font-size: 10pt;
        text-decoration: none;
        position: relative;
    }

    .footer a.login {
        font-weight: 400;
        right: 0;
        font-size: 10pt;
        position: relative;
        color: #fff;
        display: inline-block;
        padding: 10px;
    }

    .footer a.login1 {
        font-weight: 400;
        left: 8px;
        font-size: 10pt;
        position: relative;
        color: #fff;
        display: inline-block;
        padding: 10px;
    }

    .footer2 {
        background: #000;
        color: #fff;
        display: block;
        padding: 0;
    }

    .footer a.login:hover, .footer a.login1:hover {
        background: #007156;
    }

    .imgPicture {
        display: inline-block;
        overflow: hidden;
        float: left;
        vertical-align: middle;
        margin-right: 6px;
    }

    .imgPicture img {
        max-width: 400px;
        margin: 0;
        padding: 0;
    }

    .b-share-icon_vkontakte {
        background: url(/images/vkontakte.png) no-repeat !important;
        width: 25px !important;
        height: 25px !important;
    }

    .b-share-icon_facebook {
        background: url(/images/facebook.png) no-repeat !important;
        width: 25px !important;
        height: 25px !important;
    }

    .b-share-icon_twitter {
        background: url(/images/twitter.png) no-repeat !important;
        width: 25px !important;
        height: 25px !important;
    }

    .b-share-icon_odnoklassniki {
        background: url(/images/odnoklassniki.png) no-repeat !important;
        width: 25px !important;
        height: 25px !important;
    }

    .wrap {
        width: 100%;
    }

    .logo {
        float: left;
        padding: 5px 0;
        padding-left: 8px;
    }

    .options {
        float: right;
    }

    .options ul {
        margin: 0;
        padding: 0;
    }

    .options li {
        float: left;
        background: url('/images/options.png') no-repeat;
        width: 60px;
        height: 60px;
        display: inline-block;
        cursor: pointer;
        text-indent: -1000em;
    }

    .options li.active,
    .active {
        background-color: #00A67F;
    }

    .options li:first-child {
        background-position: 75px 75px;
    }

    .options li:last-child {
        background-position: -17px 20px;
    }

    .search-box {
        background: #314856;
        padding: 5px;
    }

    ul {
        display: block;
        margin: 1em 0 1em 0;
    }

    ul {
        padding-left: 40px;
    }

    ul {
        list-style-type: disc;
    }

    .menu {
        background: #314856;
        color: #fff;
        display: block;
        padding: 10px;
    }

    .menu a:hover {
        color: #fff;
    }

    body {
        font-family: Arial, Helvetica, sans-serif;
        background: #fff;
    }

    .lines {
        background: #ffffff;
        color: #314856;
        padding: 5px;
        border-bottom: 1px solid #e1e1e1;
        margin: 3px 3px 3px;
    }

    .ads {
        background: #D5D5D5;
        color: #314856;
        padding: 10px;
        border-bottom: 1px solid #B2B2B2;
        border-left: 1px solid #d1d1d1;
        border-right: 1px solid #d1d1d1;
    }

    .border {
        background: #E9E9E9;
        padding: 10px;
        border-left: 3px solid #8D8D8D;
    }

    #hide {
        display: none;
        background: none;
    }
</style>